commit:     f689ea635ecbb7290b1c914000bf83e9289cd5e9
Author:     Tomáš Mózes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Fri Oct  6 20:40:02 2017 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Sun Oct  8 23:23:40 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f689ea63

dev-db/redis: bump to 4.0.2

(cherry picked from commit 93eac00c9ae82a63fceacdcc5b7ded98e44a3a9c)
Bug: https://bugs.gentoo.org/631002
Closes: https://github.com/gentoo/gentoo/pull/5875#issuecomment-334886169
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>

 dev-db/redis/Manifest                       |   1 +
 dev-db/redis/files/redis-3.2.3-config.patch |   2 +-
 dev-db/redis/files/redis.confd-r1           |  20 +++++
 dev-db/redis/files/redis.initd-5            |  23 ++++++
 dev-db/redis/redis-4.0.2.ebuild             | 122 ++++++++++++++++++++++++++++
 5 files changed, 167 insertions(+), 1 deletion(-)

diff --git a/dev-db/redis/Manifest b/dev-db/redis/Manifest
index a3318518cfb..e86069b29e8 100644
--- a/dev-db/redis/Manifest
+++ b/dev-db/redis/Manifest
@@ -3,3 +3,4 @@ DIST redis-3.2.5.tar.gz 1544040 SHA256 
8509ceb1efd849d6b2346a72a8e926b5a4f6ed3cc
 DIST redis-3.2.6.tar.gz 1544806 SHA256 
2e1831c5a315e400d72bda4beaa98c0cfbe3f4eb8b20c269371634390cf729fa SHA512 
15f2e55a7cc56e7e652a3a8d344fceb6d0d33cf53caa81854e6b1977ec68f7e92ac06d0d66999bfc577f185eba19e0927a81014bdb5cd484eecb080b6a6e16bc
 WHIRLPOOL 
a3dd92e565cdfbc65bfccd452efde8fc4124ede1133ca74a30c69f68eb5021b5fb1bbc7dc30d3ea9993c42bc9c4ce2716564329bd5be142a5764a9ab807a9d14
 DIST redis-3.2.8.tar.gz 1547237 SHA256 
61b373c23d18e6cc752a69d5ab7f676c6216dc2853e46750a8c4ed791d68482c SHA512 
7334faf73af3644f7f9dcaddd322955d5df1e88a1640b509ae623f322615a20f6dc143eb57dd89ff3a278557df309ac4215c3fb458235682ce28e16c817068ba
 WHIRLPOOL 
50ffecd1891051a3e28028065bfaf090b2eec42a757cdf61c6d22b051c8ba4fc78809b3198182d2333bedb4715d9a8d70bf04f605030abe6e33cc6b9b7161cf7
 DIST redis-4.0.1.tar.gz 1711660 SHA256 
2049cd6ae9167f258705081a6ef23bb80b7eff9ff3d0d7481e89510f27457591 SHA512 
62dec537aebd12340b9642f5f8b07fd98757c9e648dcd539a0411f207db3495923c5a6a9941036c56b2d574ee38b46d08558668111e322345ef549f93fada26f
 WHIRLPOOL 
90b6a7a81e6d5302a28c49a8a1ea479f80f7924eb2f69d0b17d48cf15c9ba769a8ef425ae9bec44d3cbd81816b43fe7997adeb73caa6d2b64f7657e60cb2fb82
+DIST redis-4.0.2.tar.gz 1713990 SHA256 
b1a0915dbc91b979d06df1977fe594c3fa9b189f1f3d38743a2948c9f7634813 SHA512 
1458909c6fc16cff8ca5e6dddff23b988ee1e447f2d0bccf5941553b22bab6abb851732b3fe53dafb8a69d6c0939c3ce7e0686d51e03be720fb018c038d3b1b4
 WHIRLPOOL 
24834b1fbedaea75f245c9f3f7dc29444b34bccdac08b060dee5ff78b23ee60cb029d8a255f69df7a7a3a54c7440bb37390361a2d995eb0bc7534273570adfc3

diff --git a/dev-db/redis/files/redis-3.2.3-config.patch 
b/dev-db/redis/files/redis-3.2.3-config.patch
index 541e2549464..bde0ef7cbaf 100644
--- a/dev-db/redis/files/redis-3.2.3-config.patch
+++ b/dev-db/redis/files/redis-3.2.3-config.patch
@@ -34,7 +34,7 @@ index 22e00bc..b09de57 100644
  # output buffers (but this is not needed if the policy is 'noeviction').
  #
 -# maxmemory <bytes>
-+maxmemory 67108864
++maxmemory 64MB
  
  # MAXMEMORY POLICY: how Redis will select what to remove when maxmemory
  # is reached. You can select among five behaviors:

diff --git a/dev-db/redis/files/redis.confd-r1 
b/dev-db/redis/files/redis.confd-r1
new file mode 100644
index 00000000000..1f4ff23f211
--- /dev/null
+++ b/dev-db/redis/files/redis.confd-r1
@@ -0,0 +1,20 @@
+# Redis user.
+REDIS_USER="redis"
+
+# Redis group.
+REDIS_GROUP="redis"
+
+# Redis configuration file.
+REDIS_CONF="/etc/redis.conf"
+
+# Redis dump directory.
+REDIS_DIR="/var/lib/redis"
+
+# Redis options.
+# (Redis expects the first argument to be the configuration file.)
+REDIS_OPTS="${REDIS_CONF}"
+
+# Specify the network service that corresponds to the "bind" setting
+# in your redis.conf. For example, if you bind to 127.0.0.1, this should
+# be set to "net.lo" which provides the loopback interface.
+rc_need="net.lo"

diff --git a/dev-db/redis/files/redis.initd-5 b/dev-db/redis/files/redis.initd-5
new file mode 100644
index 00000000000..a567b1e210d
--- /dev/null
+++ b/dev-db/redis/files/redis.initd-5
@@ -0,0 +1,23 @@
+#!/sbin/openrc-run
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+: ${REDIS_DIR:=/var/lib/redis}
+: ${REDIS_CONF:=/etc/redis.conf}
+: ${REDIS_OPTS:="${REDIS_CONF}"}
+: ${REDIS_USER:=redis}
+: ${REDIS_GROUP:=redis}
+: ${REDIS_TIMEOUT:=30}
+
+command="/usr/sbin/redis-server"
+command_args="${REDIS_OPTS}"
+command_background="true"
+command_user="${REDIS_USER}:${REDIS_GROUP}"
+pidfile="/run/${RC_SVCNAME}.pid"
+retry="${REDIS_TIMEOUT}"
+start_stop_daemon_args="--chdir \"${REDIS_DIR}\""
+
+depend() {
+       use localmount logger
+       after keepalived
+}

diff --git a/dev-db/redis/redis-4.0.2.ebuild b/dev-db/redis/redis-4.0.2.ebuild
new file mode 100644
index 00000000000..c79e00a9398
--- /dev/null
+++ b/dev-db/redis/redis-4.0.2.ebuild
@@ -0,0 +1,122 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools eutils flag-o-matic systemd toolchain-funcs user
+
+DESCRIPTION="A persistent caching system, key-value and data structures 
database"
+HOMEPAGE="http://redis.io/";
+SRC_URI="http://download.redis.io/releases/${P}.tar.gz";
+
+LICENSE="BSD"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux 
~x86-macos ~x86-solaris"
+IUSE="+jemalloc tcmalloc luajit test"
+SLOT="0"
+
+RDEPEND="luajit? ( dev-lang/luajit:2 )
+       !luajit? ( >=dev-lang/lua-5.1:* )
+       tcmalloc? ( dev-util/google-perftools )
+       jemalloc? ( >=dev-libs/jemalloc-3.2 )"
+DEPEND="virtual/pkgconfig
+       >=sys-devel/autoconf-2.63
+       test? ( dev-lang/tcl:0= )
+       ${RDEPEND}"
+REQUIRED_USE="?? ( tcmalloc jemalloc )"
+
+S="${WORKDIR}/${PN}-${PV/_/-}"
+
+pkg_setup() {
+       enewgroup redis 75
+       enewuser redis 75 -1 /var/lib/redis redis
+}
+
+src_prepare() {
+       epatch \
+               "${FILESDIR}"/${PN}-4.0.1-shared.patch \
+               "${FILESDIR}"/${PN}-3.2.3-config.patch \
+               "${FILESDIR}"/${PN}-4.0.1-sharedlua.patch
+       eapply_user
+
+       # Copy lua modules into build dir
+       cp 
"${S}"/deps/lua/src/{fpconv,lua_bit,lua_cjson,lua_cmsgpack,lua_struct,strbuf}.c 
"${S}"/src || die
+       cp "${S}"/deps/lua/src/{fpconv,strbuf}.h "${S}"/src || die
+       # Append cflag for lua_cjson
+       # 
https://github.com/antirez/redis/commit/4fdcd213#diff-3ba529ae517f6b57803af0502f52a40bL61
+       append-cflags "-DENABLE_CJSON_GLOBAL"
+
+       # now we will rewrite present Makefiles
+       local makefiles=""
+       for MKF in $(find -name 'Makefile' | cut -b 3-); do
+               mv "${MKF}" "${MKF}.in"
+               sed -i  -e 's:$(CC):@CC@:g' \
+                       -e 's:$(CFLAGS):@AM_CFLAGS@:g' \
+                       -e 's: $(DEBUG)::g' \
+                       -e 's:$(OBJARCH)::g' \
+                       -e 's:ARCH:TARCH:g' \
+                       -e '/^CCOPT=/s:$: $(LDFLAGS):g' \
+                       "${MKF}.in" \
+               || die "Sed failed for ${MKF}"
+               makefiles+=" ${MKF}"
+       done
+       # autodetection of compiler and settings; generates the modified 
Makefiles
+       cp "${FILESDIR}"/configure.ac-3.2 configure.ac
+       sed -i  \
+               -e "/^AC_INIT/s|, [0-9].+, |, $PV, |" \
+               -e 
"s:AC_CONFIG_FILES(\[Makefile\]):AC_CONFIG_FILES([${makefiles}]):g" \
+               -e "/PKG_CHECK_MODULES.*\<LUA\>/s,lua5.1,lua,g" \
+               configure.ac || die "Sed failed for configure.ac"
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               $(use_with luajit)
+
+       # Linenoise can't be built with -std=c99, see 
https://bugs.gentoo.org/451164
+       # also, don't define ANSI/c99 for lua twice
+       sed -i -e "s:-std=c99::g" deps/linenoise/Makefile deps/Makefile || die
+}
+
+src_compile() {
+       tc-export CC AR RANLIB
+
+       local myconf=""
+
+       if use tcmalloc ; then
+               myconf="${myconf} USE_TCMALLOC=yes"
+       elif use jemalloc ; then
+               myconf="${myconf} JEMALLOC_SHARED=yes"
+       else
+               myconf="${myconf} MALLOC=yes"
+       fi
+
+       emake ${myconf} V=1 CC="${CC}" AR="${AR} rcu" RANLIB="${RANLIB}"
+}
+
+src_install() {
+       insinto /etc/
+       doins redis.conf sentinel.conf
+       use prefix || fowners redis:redis /etc/{redis,sentinel}.conf
+       fperms 0644 /etc/{redis,sentinel}.conf
+
+       newconfd "${FILESDIR}/redis.confd-r1" redis
+       newinitd "${FILESDIR}/redis.initd-5" redis
+
+       systemd_newunit "${FILESDIR}/redis.service-2" redis.service
+       systemd_newtmpfilesd "${FILESDIR}/redis.tmpfiles" redis.conf
+
+       dodoc 00-RELEASENOTES BUGS CONTRIBUTING MANIFESTO README.md
+
+       dobin src/redis-cli
+       dosbin src/redis-benchmark src/redis-server src/redis-check-aof 
src/redis-check-rdb
+       fperms 0750 /usr/sbin/redis-benchmark
+       dosym redis-server /usr/sbin/redis-sentinel
+
+       if use prefix; then
+               diropts -m0750
+       else
+               diropts -m0750 -o redis -g redis
+       fi
+       keepdir /var/{log,lib}/redis
+}

Reply via email to